petsc-3.12.1 2019-10-22
Report Typos and Errors

# DMSNESGetFunction

get SNES residual evaluation function

### Synopsis

    #include "petscsnes.h"
    #include "petscdm.h"
    PetscErrorCode DMSNESGetFunction(DM dm,PetscErrorCode (**f)(SNES,Vec,Vec,void*),void **ctx)

Not Collective

### Input Argument

dm -DM to be used with SNES

### Output Arguments

| f | - residual evaluation function; see SNESFunction for details
| ctx | - context for residual evaluation

### Note

SNESGetFunction() is normally used, but it calls this function internally because the user context is actually associated with the DM.

### See Also

DMSNESSetContext(), DMSNESSetFunction(), SNESSetFunction(), SNESFunction

### Level

advanced

### Location

src/snes/utils/dmsnes.c
Index of all SNES routines
Table of Contents for all manual pages
Index of all manual pages